﻿namespace HeroldIT.Dnn.JQuery
{
    /// <summary>
    /// Serialization options for <see cref="DateTime" /> values.
    /// </summary>
    public enum DateTimeSerializationMode
    {
        /// <summary>
        /// Serializes the DateTime with both Date and Time components.
        /// </summary>
        DateTime = 0,

        /// <summary>
        /// Serializes only the Date component of the DateTime.
        /// </summary>
        DateOnly = 1        
    }
}
