namespace HeroldIT.Dnn.JQuery
{
    /// <summary>
    /// Serialization options for Dictionaries.
    /// </summary>
    public enum DictionarySerializationMode
    {
        /// <summary>
        /// Serialize the dictionary as a json object with keys and values.
        /// </summary>
        Normal = 0,

        /// <summary>
        /// Serialize the dictionary keys only as a json list.
        /// </summary>
        KeysOnly = 1,

        /// <summary>
        /// Serialize the dictionary values only as a json list.
        /// </summary>
        ValuesOnly = 2
    }
}