namespace HeroldIT.Dnn.JQuery
{
    /// <summary>
    /// Serialization options for empty values.
    /// </summary>
    public enum EmptyValueSerializationMode
    {
        /// <summary>
        /// Emit the setting, although it is empty.
        /// </summary>
        Emit = 0,

        /// <summary>
        /// Omit the setting, when it is empty.
        /// </summary>
        Omit = 1
    }
}