using System;

namespace HeroldIT.Dnn.JQuery
{
    /// <summary>
    /// Serialization options for string values.
    /// </summary>
    [Flags]
    public enum StringValueOptions
    {
        /// <summary>
        /// The string is serialized as is.
        /// </summary>
        Normal = 0,

        /// <summary>
        /// The string is checked for bool values and serialized as bool, if the
        /// value is <c>"true"</c> or <c>"false"</c>. Otherwise the string is
        /// serialized normally.
        /// </summary>
        CanContainBools = 1
    }
}