﻿namespace HeroldIT.Dnn.JQuery.UI
{
    /// <summary>
    /// Options for the <see cref="Slider.Orientation"/> property of the <see cref="Slider"/> control.
    /// </summary>
    public enum SliderOrientation
    {
        /// <summary>
        /// The slider should detect its orientation automatically.
        /// </summary>
        [SerializeAs("auto")]
        Auto = 0,

        /// <summary>
        /// The slider should be drawn horizontally.
        /// </summary>
        [SerializeAs("horizontal")]
        Horizontal = 1,

        /// <summary>
        /// The slider should be drawn vertically.
        /// </summary>
        [SerializeAs("vertical")]
        Vertical = 2
    }
}
