<%@ Control language="C#" AutoEventWireup="false" inherits="HeroldIT.Dnn.Modules.JQuery.JQuery" codefile="JQuery.ascx.cs"%>
<%@ Register assembly="HeroldIT.Dnn.JQuery" namespace="HeroldIT.Dnn.JQuery.UI" tagprefix="jqui" %>
<p runat="server" id="lblPremiumMessage" class="NormalRed">This module is used to provide jQuery and jQuery UI and should not be used directly. Please make this module a premium module to hide it from unintentional use.</p>
<p>You can find examples of the controls below. To choose a different theme, simply enter its name in the supplied text box.</p>
<h1>Select a theme</h1>
<div><asp:Label runat="server" id="lblThemeName" associatedcontrolid="txtThemeName">Theme: </asp:Label><asp:TextBox runat="server" id="txtThemeName" autopostback="true" /></div>
<h1>Tabs</h1>
<div name="activeTab"></div>
<jqui:Tabs runat="server" id="tabs" event="mouseover" useinlineblockinitialization="true">
    <TabPanes>
        <jqui:TabPane runat="server" id="tabPane1" title="Tab 1">
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. In id lacus. Vivamus sodales. Nulla facilisi. Phasellus eu ligula vel velit auctor ornare. Donec posuere, felis a vehicula tincidunt, lacus sapien feugiat turpis, vel rhoncus nulla ante nec leo. Phasellus dignissim risus. Morbi laoreet eleifend felis! Vestibulum faucibus vestibulum urna. Maecenas eleifend. Mauris massa dolor, vestibulum a, accumsan in; egestas sed, justo. Fusce mattis commodo mauris. Aliquam felis sem, euismod sit amet, malesuada id, consequat sed, risus. Praesent fringilla fermentum felis. Quisque ultrices magna quis enim. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed sem arcu, fringilla sit amet, fermentum nec, bibendum at, quam. Sed ut purus ut massa congue lobortis. Donec blandit gravida lectus. Morbi sit amet risus vitae sem malesuada pretium. Duis cursus eleifend lorem.
        </jqui:TabPane>
        <jqui:TabPane runat="server" id="tabPane2" title="Tab 2">
            Quisque magna elit, faucibus vitae; pretium vitae, varius eget, orci. Nullam eleifend quam at nisi. Nulla et justo vitae est tristique commodo. In vitae arcu tempus mi pellentesque mollis. Nam ornare lectus. In aliquam purus non velit. Cras tincidunt, sapien non sollicitudin tincidunt, nibh quam fringilla nisi, ultricies feugiat turpis mauris non ipsum. Cras leo est; pulvinar eu, tempus nec, sollicitudin quis, velit. Nulla commodo gravida ipsum. Nunc et nisl. Duis ornare vulputate eros! Etiam fermentum lorem non dolor. Cras orci felis, convallis vulputate, eleifend id, iaculis ut, turpis? Fusce volutpat scelerisque velit! Aenean porta. Ut convallis ornare nunc. Fusce volutpat ornare diam. Pellentesque nec nisi ut nisl euismod condimentum.
        </jqui:TabPane>
        <jqui:TabPane runat="server" id="tabPane3" title="Tab 3">
            Maecenas sollicitudin. Praesent odio est, tincidunt in, egestas eget, tincidunt et; risus! Vivamus adipiscing dolor eu nulla. Suspendisse dapibus, erat ut viverra elementum, lectus libero ultricies lacus, id elementum leo purus quis arcu. Vestibulum semper metus sit amet sapien. Nunc eget magna vel odio adipiscing consectetur. Cras quam nisl, lobortis eu, varius non, pretium et, lorem. Mauris mi. Sed eget nibh egestas metus auctor adipiscing. Suspendisse ut urna. Maecenas pulvinar elit in risus. Pellentesque faucibus porta ligula. Phasellus eros metus, pretium in, adipiscing quis, scelerisque eget, velit. Praesent ut elit a massa rhoncus vehicula.
        </jqui:TabPane>
    </TabPanes>
    <ClientEvents>
        <select>jQuery('[name=activeTab]').text('Active tab: ' + (ui.index + 1))</select>
    </ClientEvents>
</jqui:Tabs>
<h1>DatePicker</h1>
<jqui:DatePicker runat="server" id="dateTest" locale="de" showon="Button" zindex="3" />
<h1>Slider</h1>
<asp:Label runat="server" id="lblSliderNormalTestValue" visible="false" enableviewstate="false">Selected slider value: {0}</asp:Label>
<jqui:Slider runat="server" id="sliderNormalTest" min="1" max="100" value="65" />
<jqui:Dialog runat="server" id="dlgSliderValue" title="Slider value" autoopen="false">
    <Content>
        <asp:Label runat="server" id="lblSliderValue" />
    </Content>
</jqui:Dialog>
<asp:Label runat="server" id="lblSliderRangeTestValue" visible="false" enableviewstate="false">Selected slider range: {0} - {1}</asp:Label>
<jqui:Slider runat="server" id="sliderRangeTest" range="Range" min="-50" max="50" lowvalue="-30" highvalue="-10" />
<asp:Button runat="server" id="btnPostBack" text="Postback &gt;" />
<jqui:Progressbar runat="server" id="progressBar" value="0" />
<asp:Button runat="server" id="btnStartProgress" text="Start progress" />
<script type="text/javascript">
    //<![CDATA[
function startProgress() {
    <%= this.progressBar.ClientMethods.Value(0) %>;
    var progress = setInterval(function() {
        var cur = <%= this.progressBar.ClientMethods.Value() %>;
        if (cur < 100) {
            <%= this.progressBar.ClientMethods.Increment(5) %>;
        } else {
            clearInterval(progress);
        }
    }, 250);
}
//]]></script>