﻿using System;

namespace HeroldIT.Dnn.JQuery
{
    /// <summary>
    /// An attribute for specifying that the settings defined in the object of the property
    /// should be merged with the master settings.
    /// </summary>
    /// <remarks>
    /// This attribute is typically used for the ClientEvents properties.
    /// </remarks>
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = true)]
    public class SettingGroupAttribute : Attribute
    {
    }
}
